Subject: bug#61184: 29.0.60; keymap-local-set and keymap-global-set became less strict

From: Eli Zaretskii <[email-masked]>
Date: Tue, 31 Jan 2023 18:06:11 +0200

> From: Robert Pluim <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>,  Daniel Mendler
>  <[email-masked]>,  [email-masked],  Stefan Monnier
>  <[email-masked]>,  Eli Zaretskii <[email-masked]>
> Date: Tue, 31 Jan 2023 11:37:19 +0100
> 
> >>>>> On Tue, 31 Jan 2023 11:31:29 +0100, Stephen Berman <[email-masked]> said:
> 
>     >> (why *are* they different?)
> 
>     Stephen> Good question.
> 
>     Stephen> (though aesthetically I would add a space after the colon in the
>     Stephen> read-key-sequence-vector prompt, even though the user input doesn't
>     Stephen> appear there).
>     >> 
>     >> If you do that you get two spaces between the colon and the cursor.
> 
>     Stephen> Hm, I see just one space here with Emacs 29 and master (GNU/Linux)...
> 
> including in a tty frame? I see one space in gui, two in
> tty. Redisplay expert to the white courtesy phone please.

You called?

That's a bug: two separate code paths that did equivalent jobs --
almost.  Walking glyphs is a tricksy business...

Should be fixed now.